For Developers

List Team Members

GET https://ed.link/api/v2/teams/:team_id/members

Returns all user members associated with the specified team.

Permissions

Requires the memberships.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/members`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": [
        {
            "id": "6a9e99a8-e165-4d0d-9b7d-6062a4be682d",
            "type": "member",
            "state": "active",
            "user": {
                "id": "7ca194a2-1982-4f91-8841-59128aa10234",
                "first_name": "Jane",
                "last_name": "Doe",
                "email": "jane.doe@acmelearning.com"
            }
        }
    ]
}